%define major 9
%define library_name %mklibname %{name}- 1.2 %{major}
%define gtkmm_version 1.2.10

Name: gnomemm
Summary: A C++ interface for Gnome libs (a GUI library for X)
Version: 1.2.4
Release: 8mdk
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 1.2.3-1mdk don't add -L/usr/lib to ldflags
Patch0: gnomemm-1.2.3-libdir.patch.bz2
Patch1: gnomemm-1.2.3-lib64.patch.bz2
Patch2: gnomemm-1.2.4-c++fixes.patch.bz2
Patch3: gnomemm-1.2.4-libtool.patch.bz2
URL: http://gtkmm.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires:	autoconf2.5
%if %{mdkversion} >= 1010
BuildRequires:	automake1.4
%else
BuildRequires:	automake
%endif
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gcc-c++
BuildRequires:	gnome-libs-devel
BuildRequires:	gtkmm-devel = %{gtkmm_version}
BuildRequires:	texinfo

%description
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.

%package -n %{library_name}
Summary: %{summary}
Group: %{group}
Obsoletes: %{name}
Provides: %{name} = %{version}-%{release}
Requires: libgtkmm = %{gtkmm_version}

%description -n %{library_name}
This package provides a C++ interface for GnomeUI.  It is a subpackage
of the Gtk-- project.  The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented 
framework.



%package -n %{library_name}-devel
Summary: Headers for developing programs that will use Gnome--
Group: Development/GNOME and GTK+
Obsoletes: %{name}-devel
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-1.2-devel = %{version}-%{release}
Requires: %{library_name} = %{version}
Requires: gnome-libs-devel
Requires: libgtkmm-devel = %{gtkmm_version}

%description -n %{library_name}-devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to 
the GTK+ (the Gimp ToolKit) GUI library.

%prep
%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1 -b .lib64
%patch2 -p1 -b .c++fixes
%patch3 -p1 -b .libtool
# needed by patch0
autoconf

%build
%configure 
%make 

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%makeinstall_std

%post -n %{library_name} -p /sbin/ldconfig

%postun -n %{library_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{library_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_libdir}/*.so.*

%files -n %{library_name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.sh
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Tue Aug 23 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.2.4-8mdk
- yet more c++ fixes

* Mon Feb 14 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-7mdk
- stick to built-in libtool 1.4, with fixes

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-6mdk
- use automake 1.4

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-5mdk
- Remove patch 3 (no needed with latest gtkmm)

* Fri Jul  2 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-4mdk
- tentative fixes

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.4-3mdk
- another C++ fix

* Wed May  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.2.4-2mdk
- Fix gtkmm dependency (required by new rpm)
- mklibnamification

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.3-2mdk
- Patch1: Make it lib64 awaaaaaaaaare
- Patch2: ISO C++ fixes in testsuite, how did maintainer usually test it?

* Mon Aug 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-1mdk
- Release 1.2.3
- Remove patch0 (merged upstream)
- Patch0: don't add -L/usr/lib to ldflags

* Wed Aug 14 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-7mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-6mdk
- Automated rebuild with gcc3.2

* Fri May 31 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.2.2-5mdk
- BuildRequires: gtkmm-devel = %{gtkmm_version}
- Patch0: ISO C++ fixes. Don't redefine default arguments.
  ProcBar::ProcBar() should take a callback typed as gint
  (*)(gpointer) instead of gint (*)(). Don't change API, cast for now.

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.2-4mdk
- BuildRequires

* Mon Dec  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-3mdk
- Clean docs
- Fix reference directory in .la files

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-2mdk
- Oops, really fix dependencies

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2
- Enforce dependencies

* Fri Sep 07 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2.1-2mdk
- BuildRequires: flex

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0
- Libification
- Rename specfile
- Simplify build requires

* Mon Apr 23 2001 Vincent Saugey <vince@mandrakesoft.com> 1.1.17-1mdk
- Up to date 1.1.17

* Thu Mar  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-2mdk
- Recompiled against latest glib/gtk

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.15-1mdk
- Release 1.1.15
- Remove patch 0 (merged upstream)

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96


* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%{_tmppath}
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec
